:root {
    --bg-body: #ffffff;
    --bg-header: #ffffff;
    --bg-nav: #004B8D;
    --text-main: #222222;
    --text-nav: #ffffff;
    --border-color: #eeeeee;
    --input-bg: #f5f5f5;
    --light-white: #ffffff;
    --light-black: #000000;
    --btn-primary-bg: #004B8D;
    --btn-primary-hover: #0e66b4;
    --btn-primary-color: #ffffff;    
    --btn-theme-light:transparent;
    --brand-red: #C41212;
    --brand-blue: #004B8D;
    --brand-orange: #F8991D;
    --wishlist-color:#cd0096;
    --cart-icon-color:#bb0000;
    --profile-icon-color:#747474;
}
[data-theme="dark"] {
    --bg-body: #121212;
    --bg-header: #1a1a1a;
    --bg-nav: #000000;
    --text-main: #e0e0e0;
    --text-nav: #00acee;
    --border-color: #333333;
    --input-bg: #2d2d2d;
    --light-white: #121212;
    --light-black: #ffffff;
    --btn-primary-bg: #123f66;
    --btn-primary-hover: #195c96;
    --btn-theme-light:#333333;
    --btn-primary-color: #f2f2f2;
    --wishlist-color:#ff7fdd;
    --cart-icon-color:#ffebeb;
    --profile-icon-color:#fcff00;
}
html{scroll-behavior: smooth;}
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{-webkit-box-shadow: 0 0 0 30px white inset !important;}
body {background-color: var(--bg-body);color: var(--text-main);margin: 0;font-family: Arial, sans-serif;transition: background 0.3s ease;}
img{width:100%;height:auto;}
a{color:#000;}
[data-theme="dark"] .mode-icon::before { content: "🌙"; }
[data-theme="light"] .mode-icon::before { content: "☀️"; }
.site_content{overflow:hidden;}
.main_content{margin: 10px 0;display: inline-block;width: 100%;clear: both;float: left;}
/*---- Lines to show ---*/
.line-qty-1{display: -webkit-box;-webkit-line-clamp: 1;-webkit-box-orient: vertical;overflow: hidden;}
.line-qty-2{display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;overflow: hidden;}
.line-qty-3{display: -webkit-box;-webkit-line-clamp: 3;-webkit-box-orient: vertical;overflow: hidden;}
.line-qty-4{display: -webkit-box;-webkit-line-clamp: 4;-webkit-box-orient: vertical;overflow: hidden;}
.line-qty-5{display: -webkit-box;-webkit-line-clamp: 5;-webkit-box-orient: vertical;overflow: hidden;}
/*---- Default Buttons ---*/
.btn{padding: 5px 10px;cursor: pointer;width: 50px;border: none;outline: none;transition: .5s;}
.btn:hover{}
.btn svg{display: flex;align-items: center;justify-content: center;}
.btn:hover svg{}
.btn-primary{background: var(--btn-primary-bg);color: var(--btn-primary-color);}
.btn-primary svg{fill: #ffffff;}
.btn-primary:hover{background: var(--btn-primary-hover);}
.btn-primary:hover svg{}
.btn-secondary{}
.btn-secondary:hover{}
/*=======================================
// Site Global Codes
========================================*/
.title-has-read-more{position: relative;}
.title-read-more{font-size: 0.9rem;font-weight: normal;color: inherit;position: absolute;right: 10px;}
.title-style-1{border-bottom: 2px dotted #000000;margin-bottom: 15px;float: left;width: 100%;position: relative;font-weight: bold;}
.title-style-1 span{display: flex;width: max-content;font-size: 1.5rem;line-height: 1.5;padding: 0;text-align: left;align-items: center;gap: 5px;}
.title-style-1 span svg{fill: #000000;width: 35px;height: 30px;float: left;}
.title-style-1 a{display: block;bottom: 0;right: 0;padding: 10px 0;color: #dd0f00;font-weight: normal;transition: .5s;}
.title-style-1 a:hover{color: #1E88E5;}
/*========================================
/*   Header Section
/*=======================================*/
.container {max-width: 85%;margin: 0 auto;padding: 0 20px;display: flex;align-items: center;justify-content: space-between;gap: 35px;}
.main-header {background-color: var(--bg-header);padding: 5px 0;border-bottom: 1px solid var(--border-color);}
.header-left{width: 25%;}
.header-left .custom-logo-link{display: block;width: 100%;height: auto;clear: both;float: left;}
.header-left .custom-logo-link img{height: 65px;width: auto;}
.header-middle{width: 40%;}
.header-middle .search-box{display: flex;width: 100%;border: 1px solid var(--bg-nav);border-radius: 3px;overflow: hidden;background: var(--bg-body);}
.header-middle .search-box input[type="text"]{border: none;background: var(--input-bg);padding: 10px 55px 10px 15px;width: 100%;color: var(--text-main);transition: .5s;}
.header-middle .search-box input[type="text"]:focus{background: transparent;}
.main-header .header-right{width: 25%;display: flex;align-items: center;justify-content: end;gap: 10px;}
.main-header .header-right .icon-group{display: flex;align-items: center;justify-content: center;gap: 20px;}
.main-header .header-right .icon-group a{display: flex;align-items: center;justify-content: center;gap: 3px;}
.main-header .header-right .icon-group a svg{width: 30px;height: 30px;fill: inherit;}
.main-header .header-right .icon-group a.wishlist{color: var(--wishlist-color);fill: var(--wishlist-color);}
.main-header .header-right .icon-group a.cart{color: var(--cart-icon-color);fill: var(--cart-icon-color);}
.main-header .header-right .icon-group a.login{color: var(--profile-icon-color);fill: var(--profile-icon-color);}
.main-header .header-right .icon-group a span{}
.main-header .header-right .theme-btn {border: none;background: var(--btn-theme-light);padding: 5px;font-size: 1.5rem;border-radius: 100%;cursor: pointer;width: 50px;height: 50px;display: flex;align-items: center;justify-content: center;transition: .5s;}
.main-header .header-right .menu-mobile{width: 50px;height: 50px;background: transparent;color: var(--brand-blue);font-size: 35px;line-height: 1;display: flex;align-items: center;justify-content: center;padding: 0;border: none;outline: none;cursor: pointer;transition: .5s;}
.main-header .header-right .menu-mobile svg{
    width: 30px;
    height: 30px;
    fill: var(--text-main);
}
.main-header .header-right .menu-mobile:hover{}
.main-header .header-right .menu-mobile:active{}
@media only screen and (min-width: 1024px) and (max-width: 1279px) {
}
@media only screen and (min-width: 768px) and (max-width: 1023px) {
}
@media only screen and (min-width: 481px) and (max-width: 767px) {
}
@media only screen and (max-width: 480px) {
}
/*=======================================
//  Header Section Regular & Responsive
=========================================*/
.navigation{display: inline-block;width: 100%;clear: both;border-bottom: 1px solid #e1e1e1;height: 43px;overflow: hidden;}
.navigation .navigation-grid{display: flex;width: 100%;}
.navigation .nav-logo{width: auto;float: left;background: #fff;width: 0;transition: .5s;overflow: hidden;display: none;}
.navigation .nav-logo img{height: 40px;width: auto;padding: 5px 10px;}
.navigation .menu-cloud-navigation-container{float: left;width: 75%;overflow-y: hidden;overflow-x: scroll;}
.navigation .menu-cloud-navigation-container .menu{width: 100%;clear: both;float: left;white-space: nowrap;display: flex;.navigation .menu-cloud-navigation-container .menu{white-space: nowrap;display: flex;};.navigation .menu-cloud-navigation-container .menu{white-space: nowrap;display: flex;};}
.navigation .menu-cloud-navigation-container .menu li{display: block;float: left;font-size: 14px;border-bottom: 4px solid transparent;width: auto;transition:.5s;position: relative;}
.navigation .menu-cloud-navigation-container .menu li.menu-item-3083 a::before{content:"\e88a";float:left;font-family: 'Material Symbols Outlined';padding-right: 3px;font-size: 1.5rem;font-weight: 200;line-height: 1.0rem;}
.navigation .menu-cloud-navigation-container .menu li a{padding: 7px 9px;display: block;font-size: 0.95rem;transition: .5s;color: #1d1b1c;font-weight: 700;}
.navigation .menu-cloud-navigation-container .menu li.current-menu-parent,
.navigation .menu-cloud-navigation-container .menu li.current-post-parent,
.navigation .menu-cloud-navigation-container .menu li.current-menu-item,
.navigation .menu-cloud-navigation-container .menu li.current-menu-item,
.navigation .menu-cloud-navigation-container .menu li:hover{border-bottom: 4px solid #be1e2d;background: #f9f9f9;color: #000;}
.navigation .menu-cloud-navigation-container .menu li.current-menu-parent a,
.navigation .menu-cloud-navigation-container .menu li.current-post-parent a,
.navigation .menu-cloud-navigation-container .menu li.current-menu-item a,
.navigation .menu-cloud-navigation-container .menu li.current_page_item a,
.navigation .menu-cloud-navigation-container .menu li:hover a{background: #f9f9f9;color: #d90000;}
.navigation .menu-cloud-navigation-container .menu li.menu-item-has-children a::after{content: "\e5c5";font-family: 'Material Symbols Outlined';font-size: 24px;float: right;}
.navigation .menu-cloud-navigation-container .menu li.menu-item-has-children:hover a::after{transform:rotate(180deg);}
.navigation .menu-cloud-navigation-container .menu li .sub-menu{position: absolute;left: 0;top: 49px;z-index: 111;width: auto;min-width: 180px;max-width: 250px;background: #ffffff;box-shadow: 0 0 3px #ccc;border-radius: 5px;overflow: hidden;display:none;}
.navigation .menu-cloud-navigation-container .menu li .sub-menu a::after{content:"";}
.navigation .menu-cloud-navigation-container .menu li .sub-menu li{width: 100%;border-bottom: 1px solid #ebebeb;background: inherit;}
.navigation .menu-cloud-navigation-container .menu li .sub-menu li:last-child{border-bottom: none;}
.navigation .menu-cloud-navigation-container .menu li .sub-menu li:first-child a::before{content:"";}
.navigation .menu-cloud-navigation-container .menu li .sub-menu li a{width: 100%;background: inherit;border-left: 4px solid #ff000000;color: #1d1b1c;}
.navigation .menu-cloud-navigation-container .menu li.menu-item-has-children:hover .sub-menu{display:block;}
.navigation .menu-cloud-navigation-container .menu li .sub-menu li:hover a{width: 100%;border-left: 4px solid red;color: red;}
/*---- Navigation External ---*/
.navigation .navigation-external-menu{float: right;width: 25%;}
.navigation .navigation-external-menu ul{display: flex;gap: 0;float: right;align-items: center;width: 100%;justify-content: right;}
.navigation .navigation-external-menu ul li{width: max-content;display: block;height: inherit;}
.navigation .navigation-external-menu ul li .nem-btn{display: flex;align-items: center;width: auto;padding: 8px 10px;border-right: 1px solid #e1e1e1;cursor: pointer;transition: .5s;gap: 3px;color: #530000;}
.navigation .navigation-external-menu ul li .nem-btn svg{width: 27px;height: 27px;fill: #515151;transition:.5s;}
.navigation .navigation-external-menu ul li .nem-btn i{font-style: normal;color:inherit;}
.navigation .navigation-external-menu ul li .nem-btn:active,
.navigation .navigation-external-menu ul li .nem-btn:hover{background: #000;color:#fff;}
.navigation .navigation-external-menu ul li .nem-btn:active svg,
.navigation .navigation-external-menu ul li .nem-btn:hover svg{fill:#fff;}
@media only screen and (max-width: 1279px) and (min-width: 1024px){
.navigation{height: 42px;overflow: hidden;}
.navigation .navigation-grid{flex-direction: row;}
.navigation .menu-cloud-navigation-container{width: 70%;overflow-y: scroll;}
.navigation .menu-cloud-navigation-container .menu{white-space: nowrap;display: flex;}
.navigation .menu-cloud-navigation-container .menu li a{padding: 12px 8px;font-size: 0.9rem;line-height: 1;}
.navigation .menu-cloud-navigation-container .menu li:first-child a::before{margin-top: -6px;}
/*---- Navigation External ---*/
.navigation .navigation-external-menu{width: 30%;}
.navigation .navigation-external-menu ul li .nem-btn svg{width: 25px;height: 25px;}
.navigation .navigation-external-menu ul li .nem-btn i{font-size: 0.85rem;}
}
@media only screen and (max-width:1023px) and (min-width: 768px){
/*------ Mobile Header ---*/
.navigation{height: 45px;overflow: hidden;}
.navigation .menu-cloud-navigation-container{width: 62%;overflow-x: scroll;}
.navigation .menu-cloud-navigation-container .menu{white-space: nowrap;display: flex;}
.navigation .menu-cloud-navigation-container .menu li.menu-item-3083 a::before{}
.navigation .menu-cloud-navigation-container .menu li a{font-size: 0.9rem;padding: 11px 5px;}
/*---- Navigation External ---*/
.navigation .navigation-external-menu{width: 38%;}
.navigation .navigation-external-menu ul li{height: 100%;}
.navigation .navigation-external-menu ul li .nem-btn{padding: 11px 5px;}
.navigation .navigation-external-menu ul li .nem-btn svg{width: 22px;height: 22px;}
}
@media only screen and (max-width: 767px) and (min-width: 481px){
.navigation .navigation-grid{flex-direction: row;}
.header .midbar .mobile-button{height: 40px;width: 45px;text-align: center;}
.header .midbar .mobile-button i{line-height: 40px;}
.navigation .menu-cloud-navigation-container{display: inline-block;width: 100%;float: left;clear: both;}
.navigation .menu-cloud-navigation-container .menu{display: flex;flex-direction: row;}
.navigation .menu-cloud-navigation-container .menu li{border-bottom: 1px solid #efefef;}
.navigation .menu-cloud-navigation-container .menu li.current-post-ancestor,
.navigation .menu-cloud-navigation-container .menu li.current-menu-parent,
.navigation .menu-cloud-navigation-container .menu li.current-post-parent,
.navigation .menu-cloud-navigation-container .menu li.current-menu-item,
.navigation .menu-cloud-navigation-container .menu li.current_page_item,
.navigation .menu-cloud-navigation-container .menu li:hover{border-bottom: none;border-left: 4px solid #be1e2d;}
/*---- Navigation External ---*/
.navigation .navigation-external-menu{display: none;}
}
@media only screen and (max-width: 480px){
.navigation{margin-top: 0;display: none;}
.header .midbar .mobile-button{height: 40px;width: 45px;text-align: center;}
.header .midbar .mobile-button i{line-height: 40px;}
.navigation .menu-cloud-navigation-container{display: inline-block;width: 100%;float: left;clear: both;}
.navigation .menu-cloud-navigation-container .menu{display: flex;flex-direction: row;}
.navigation .menu-cloud-navigation-container .menu li{border-bottom: 1px solid #efefef;}
.navigation .menu-cloud-navigation-container .menu li a{font-size: 0.9rem;line-height: 1.5;padding: 10px;}
.navigation .menu-cloud-navigation-container .menu li.current-post-ancestor,
.navigation .menu-cloud-navigation-container .menu li.current-menu-parent,
.navigation .menu-cloud-navigation-container .menu li.current-post-parent,
.navigation .menu-cloud-navigation-container .menu li.current-menu-item,
.navigation .menu-cloud-navigation-container .menu li.current_page_item,
.navigation .menu-cloud-navigation-container .menu li:hover{border-bottom: none;border-left: 4px solid #be1e2d;}
/*---- Navigation External ---*/
.navigation .navigation-external-menu{display: none;}
}







